Bug 61873 - WiFi as an experimental feature not mentioned in app
Summary: WiFi as an experimental feature not mentioned in app
Status: RESOLVED FIXED
Alias: None
Product: Impress Remote
Classification: Unclassified
Component: Android Remote App (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Siqi LIU
URL:
Whiteboard: target:4.1.0
Keywords: difficultyBeginner, easyHack, skillJava, topicCleanup
Depends on:
Blocks:
 
Reported: 2013-03-05 21:34 UTC by jvapen
Modified: 2015-12-18 10:08 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jvapen 2013-03-05 21:34:46 UTC
Let me start by saying I enjoyed the upgrade to version 4.0,
the new ppa works well (not yet super) (https://launchpad.net/~libreoffice/+archive/libreoffice-4-0)

Anyhow, there was a new feature in this release, the remote control
https://play.google.com/store/apps/details?id=org.libreoffice.impressremote
so of course I was going to try this, which was a disappointment since it did not work (as expected)

A situation sketch:
Ubuntu 12.04.2 + libreoffice 4.0 (see ppa above)
Android ICS + remote-app

Phone has bluetooth; computer does not

Computer has settings of LO4.0 remote control activated
Phone has option of 'Enable wireless' (Try to connect to the computer over wireless) activated.

So after changing those small configurations, restarting libreoffice a few times,
I wanted to connect to a dummy presentation, this however fails.

I continued by searching for reasons, so I started wireshark, and checked my wireless card, however to my surprise, no single package came from my phone to my computer.
Comment 1 Thorsten Behrens (CIB) 2013-03-05 22:43:26 UTC
Wireless is currently an experimental feature - caveat emptor. To enable, you have to select the Tools->Options-Advanced "enable experimental features" checkbox in LibreOffice.
Comment 2 jvapen 2013-03-06 16:40:44 UTC
Tnx,

experimental features makes it work,
any chance the documentation about the remote is going to be updated about this (or the fact that it is not yet supported)?
Comment 3 Thorsten Behrens (CIB) 2013-03-06 17:15:15 UTC
(In reply to comment #2)
> any chance the documentation about the remote is going to be updated about
> this (or the fact that it is not yet supported)?
>
Sure, makes sense - though probably not prominently on end-user facing pages, this being an experimental feature.
Comment 4 jvapen 2013-03-06 18:08:25 UTC
I might agree to that, however there are reasons not to.

The android-app has a very simple way to add a new computer by IP/Hostname
and the image of the android app implies that you can do it over wifi.

If somewhere in a kind of footnote there is a mentioning of 'The use of this app over wifi is still experimental', people like myself, and the commenter on the following link at least get a notice about the fact that it is not yet 100% working.

https://play.google.com/store/apps/details?id=org.libreoffice.impressremote&reviewId=Z3A6QU9xcFRPSDRnNV9WRl9aYUc1b2ZSRkpjdjhXMEtFeW5ma3BCRVFGTnRkQlg5enJqRlVWZ2lfSnZrc2FBbUQ2UVhMMXBpYy1MTlNUdUo4T1gxNlVfU3c

https://wiki.documentfoundation.org/Development/Impress/RemoteHowTo
Comment 5 crazyskeggy 2013-03-06 18:13:03 UTC
Changed title from "No connection over WiFi" to "WiFi as an experimental feature not mentioned in app", so that this can be tracked for adding this feature in.
Comment 6 Michael Meeks 2013-03-07 15:56:54 UTC
Patches to add a dialog saying that "bluetooth is recommended, you need to enable 'experimental mode' in LibreOffice for TCP/IP" would be great.

Shouldn't be too hard to go hack the XML in android/sdremote ...
Comment 7 Commit Notification 2013-04-18 10:51:11 UTC
Siqi LIU (via Code Review) committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=38cc47f8b1715525cf4a2ccaab7464e9ed1c734c

fdo#61873 - add WiFi experimental feature alert.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Michael Meeks 2013-04-18 11:49:42 UTC
Thanks for the report + fix ! :-)
Comment 9 Robinson Tryon (qubit) 2015-02-13 19:41:32 UTC
Moving bug to (new) 'Impress Remote' product.
Comment 10 Robinson Tryon (qubit) 2015-12-18 10:08:09 UTC
Migrating Whiteboard tags to Keywords: (EasyHack,DifficultyBeginner,SkillJava,TopicCleanup)
[NinjaEdit]